Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class Timers

    java.lang.Object
      org.mindswap.pellet.utils.Timers

    public class Timers

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`Timer` | `mainTimer`

Constructor Summary
`Timers()`

Method Summary
`void` | `addAll(Timers other)`
`void` | `checkTimer(java.lang.String name)`
`Timer` | `createTimer(java.lang.String name)`
`Timer` | `getTimer(java.lang.String name)`
`double` | `getTimerAverage(java.lang.String name)`
`long` | `getTimerTotal(java.lang.String name)`
`void` | `print()`
`void` | `print(boolean shortForm)`
`void` | `print(boolean shortForm, java.lang.String sortBy)`
`void` | `resetAll()`
`void` | `resetTimer(java.lang.String name)`
`void` | `setTimeout(java.lang.String name, long timeout)`
`Timer` | `startTimer(java.lang.String name)`
`void` | `stopTimer(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mainTimer

    public Timer mainTimer

Constructor Detail

### Timers

    public Timers()

Method Detail

### addAll

    public void addAll(Timers other)

### createTimer

    public Timer createTimer(java.lang.String name)

### startTimer

    public Timer startTimer(java.lang.String name)

### checkTimer

    public void checkTimer(java.lang.String name)

### resetTimer

    public void resetTimer(java.lang.String name)

### setTimeout

    public void setTimeout(java.lang.String name,
                           long timeout)

### stopTimer

    public void stopTimer(java.lang.String name)

### resetAll

    public void resetAll()

### getTimerTotal

    public long getTimerTotal(java.lang.String name)

### getTimerAverage

    public double getTimerAverage(java.lang.String name)

### getTimer

    public Timer getTimer(java.lang.String name)

### print

    public void print()

### print

    public void print(boolean shortForm)

### print

    public void print(boolean shortForm,
                      java.lang.String sortBy)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.